<template>
  <div style="display: flex; flex-wrap: wrap;">
    <div v-for="(value2, key) in bedMap" :key="key">
    <RoomStatus :title="key" :bedList="value2"/>
    </div>
  </div>
</template>

<script setup lang="ts">
import {RoomStatus} from "@/components/RoomStatus"
import { RoomApi, RoomVO } from '@/api/ecg/room'

const bedMap = ref<Map<String, RoomVO[]>>() // 列表的数据

/** 查询列表 */
const getList = async () => {
    const data = await RoomApi.getAllBedMap()
    bedMap.value = data as Map<String, RoomVO[]>
}

/** 初始化 **/
onMounted(() => {
    getList()
})

</script>

<style scoped lang="scss">

</style>
